/*
Theme Name: Flatsome Child
Description: This is a child theme for Flatsome Theme
Author: UX Themes
Template: flatsome
Version: 3.0
*/

/*************** ADD CUSTOM CSS HERE.   ***************/
.mb-1{
	margin-bottom: 1em !important;
}

.mb-2{
	margin-bottom: .2em !important;
}

.mb-5{
	margin-bottom: .5em !important;
}

.pb-2{
	padding-bottom: .2em !important;
}

.pb-5{
	padding-bottom: .5em !important;
}


/* banner */
.w-hero{background-color:var(--background);background-position:bottom;background-repeat:no-repeat;background-size:cover;}
.w-hero .bg{position:relative;clip-path:ellipse(130% 100% at top);overflow:hidden;height:100%;}
.w-hero .bg img{width:100%;height:auto;object-fit:cover;}
.w-hero .bg .landing{position:absolute;width:100%;height:80vh;  /* bottom: -22%; */top:25%;transition:bottom 0s ease-in-out;z-index:3;}
.w-hero .bg .factory{position:absolute;width:100%;bottom:-33.5%;transition:bottom 0s ease-in-out;z-index:4;}
.w-hero .bg .man{position:absolute;width:100%;bottom:26%;transition:bottom 0s ease-in-out;z-index:5;}
.w-hero .bg .tree{position:absolute;width:100%;bottom:-28%;transition:bottom 0s ease-in-out;z-index:5;}
.w-hero .bg .title{color:rgb(205,229,232);text-align:center;position:absolute;line-height:6rem;width:100%;font-size:5.5rem;top:16%;font-family:var(--body-font)!important;transition:all 0s ease-in-out 0s;}
@media (max-width:991px){
  .w-hero{height:60vh;}
  .w-hero .bg{}
  .w-hero .bg .landing{top:49%;}
  .w-hero .bg .cloud,.w-hero .bg .cloud img{height:100%;}
  .w-hero .bg .factory{bottom:-16%;}
  .w-hero .bg .factory .man{bottom:26%;}
  .w-hero .bg .tree{bottom:-13%;}
  .w-hero .bg .title{color:#CDE5E8;text-align:center;position:absolute;line-height:2.5rem;font-family:var(--body-font)!important;width:100%;top:27%;font-size:2.5rem;}
  .w-hero .bg.active .title{top:70%;}
}

#header.transparent .sub-menu.nav-dropdown{
    background-color: transparent;
    box-shadow: unset;
    padding: 5px;
}

#header .nav-line-bottom > li > a:before{
    background-color:  unset !important;
    border-top: 3px dotted #000 ;
    border-width: 4px;
}

#header .nav-dropdown-default .nav-column li>a, #header .nav-dropdown.nav-dropdown-default>li>a{
    border-bottom: 1px dotted #000;
    border-width: 2px;
}

#header .nav-dropdown{
    min-width: max-content;
}

#header .header-main .nav > li > a{
    color: #000
}

#footer .footer{
    position: relative;
}

#footer .footer:before{
    content: "";
    position: absolute;
    background-image:url(/wp-content/uploads/2024/06/Ellipse46.webp);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    width: 100%;
    height: 125px;
    top: -35px;
}

#footer .wpforms-form{
	display: flex;
    gap: 0;
    align-items: center;
    width: 100%;
}

#footer .wpforms-form .wpforms-field{
	padding: 0;
}

#footer .wpforms-form .wpforms-field-container{
	width: 70%;
}

#footer .wpforms-form .wpforms-submit-container{
	padding: 0;
	width: 30%
}

#footer .wpforms-form .wpforms-submit-container .wpforms-submit{
	width: 100%;
	margin-top: -8px;
}

.widget_nav_menu{
	padding-left: 0
}

#footer .widget_nav_menu .menu{
	display: flex; 
	align-items: center;
	gap: 15px;
	flex-wrap: wrap;
}

#footer .widget_nav_menu .menu li{
	border: none !important
}

#footer .widget_nav_menu .menu li a{
	text-transform: uppercase;
	color: #000;
	font-weight: bold;
	font-size: 15px;
}

.product-small.box{
	box-shadow: 0 1px 3px -2px rgba(0, 0, 0, .12), 0 1px 2px rgba(0, 0, 0, .24);
}

.product-small.box:hover{
	    box-shadow: 0 3px 6px -4px rgba(0, 0, 0, .16), 0 3px 6px rgba(0, 0, 0, .23);
}

.product-small.box .box-image img{
	max-width: 60%;
	height: auto;
	margin: auto;
}

.product-small.box .box-text .product-title{
	font-size: 1.3em;
}

.woocommerce-result-count{
    display: none;
}

form.woocommerce-ordering select{
    max-width: max-content;
}

.featured-title .page-title-inner{
    min-height: 300px;
}

.featured-title .page-title-inner h1.shop-page-title{
    font-size: 2.5em;
}

.archive .shop-container{
    margin-bottom: 100px;
}

#shop-sidebar aside.widget:not(:has(.searchform)){
    border: 1px solid #c4c4c4;
    border-radius: 6px;
    padding: 18px 29px;
    margin-bottom: 25px;
    padding-bottom: 27px;
}

#shop-sidebar aside.widget .searchform{
    border: 1px solid #c4c4c4;
    border-radius: 6px;
}

#shop-sidebar aside.widget .searchform input{
   border: none;
    box-shadow: none;
    border-radius: 6px;
}

#shop-sidebar aside.widget .searchform button{
    background-color: transparent;
    color: #000;
}

#shop-sidebar aside.widget .wpfFilterWrapper{
    margin-bottom: 0;
}

#shop-sidebar aside.widget .wpfFilterWrapper ul li:last-child{
    margin-bottom: 0;
}

.blog-wrapper.page-wrapper{
    padding-top: 0;
}

.blog-archive .category-page-title{
    margin-bottom: 20px;
}

.post-item{
    box-shadow: 0px 4px 15px #0000000a;
}

.post-item .button{
    display: block;
    width: max-content;
    margin-left: auto;
}

.vertical_gallery{
    position: relative;
}


.vertical_gallery:before{
    content: "\f499";
    display: inline-block;
    font-family: bootstrap-icons !important;
    font-style: normal;
    font-weight: normal !important;
    font-variant: normal;
    text-transform: none;
    line-height: 1;
    vertical-align: -.125em;
    position: absolute;
    bottom: 30px;
    left: 50%;
    -ms-transform: translate(-50%, 0);
    transform: translate(-50%, 0);
    font-size: 30px;
}

.vertical_gallery:after{
    content: "\f282";
    display: inline-block;
    font-family: bootstrap-icons !important;
    font-style: normal;
    font-weight: normal !important;
    font-variant: normal;
    text-transform: none;
    line-height: 1;
    vertical-align: -.125em;
    position: absolute;
    bottom: 0;
    left: 50%;
    -ms-transform: translate(-50%, 0);
    transform: translate(-50%, 0);
    font-size: 30px;
}

@media only screen and (max-width: 48em) {
/*************** ADD MOBILE ONLY CSS HERE  ***************/
	#footer .wpforms-form .wpforms-submit-container {
		width: 40%;
	}
	
	#footer .widget_nav_menu .menu{
		gap: 10px;
	}
	
	#footer .widget_nav_menu .menu li a{
		font-size: 14px;
	}
	
	.product-small.box  .box-image img{
		max-width: 80%;
	}
	
	.product-small.box .box-text .product-title{
		font-size: 1.5em;
	}
	
	.vertical_gallery:before, .vertical_gallery:after{
	    display: none;
	}

}